<?xml version='1.0'?> 
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'> 
<xsl:output method='html' indent='yes' /> 

<xsl:template match='/'> 
 <html> 
 <body> 
 <xsl:apply-templates select='//author'> 
  <xsl:sort select='.'/> 
   <xsl:sort select='parent::book/title'/> 
 </xsl:apply-templates> 
 </body> 
 </html> 
</xsl:template> 

<xsl:template match='author'> 
 <table border='1' bordercolor='green'> 
  <tr><td>Verfasser</td><td><b>
  <xsl:value-of select='.' /></b>
  <xsl:variable name='sortme' select='.'/>
  <xsl:for-each select='parent::book/author'>
   <xsl:if test='. != $sortme'>
    <xsl:text>; </xsl:text>
    <xsl:value-of select='.'/> 
   </xsl:if>
  </xsl:for-each>
  </td></tr>
  <tr bgcolor='beige'>
  <td>Titel</td>
  <td><xsl:value-of select='parent::book/title'/></td>
  </tr> 
  <tr><td>ISBN</td>
  <td><xsl:value-of select='parent::book/isbn'/></td></tr> 
 </table> 
<br/>
</xsl:template> 

</xsl:stylesheet> 


